summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-17 18:47:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-17 18:47:20 +0000
commit3072dfe98bb17d0b17321578fcc65f534772700d (patch)
tree05654b93e12393a4173c269eb5fe72a9d7fc39b5 /dev-python
parent65b67dff619cdbd5e8b3e9b14ffb28f03a2b56df (diff)
downloadbaldeagleos-repo-3072dfe98bb17d0b17321578fcc65f534772700d.tar.gz
baldeagleos-repo-3072dfe98bb17d0b17321578fcc65f534772700d.tar.xz
baldeagleos-repo-3072dfe98bb17d0b17321578fcc65f534772700d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ament_package/ament_package-0.12.0.ebuild2
-rw-r--r--dev-python/ansible-pygments/Manifest1
-rw-r--r--dev-python/ansible-pygments/ansible-pygments-0.1.0.ebuild21
-rw-r--r--dev-python/ansible-pygments/metadata.xml13
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-2.7.1.ebuild48
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.18.22.ebuild57
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.21.22.ebuild59
-rw-r--r--dev-python/cx_Freeze/cx_Freeze-6.6.ebuild2
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-1.31.2.ebuild51
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-1.35.0.ebuild51
-rw-r--r--dev-python/google-pasta/google-pasta-0.2.0.ebuild2
-rw-r--r--dev-python/gst-python/gst-python-1.16.3.ebuild2
-rw-r--r--dev-python/gst-python/gst-python-1.18.4.ebuild2
-rw-r--r--dev-python/hcloud-python/Manifest1
-rw-r--r--dev-python/hcloud-python/hcloud-python-1.15.0.ebuild40
-rw-r--r--dev-python/httpretty/Manifest1
-rw-r--r--dev-python/httpretty/httpretty-1.1.4.ebuild42
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.14.8.ebuild62
-rw-r--r--dev-python/identify/Manifest1
-rw-r--r--dev-python/identify/identify-2.2.12.ebuild19
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-2.2.3.ebuild75
-rw-r--r--dev-python/nbclient/Manifest1
-rw-r--r--dev-python/nbclient/nbclient-0.5.4.ebuild37
-rw-r--r--dev-python/osrf_pycommon/osrf_pycommon-0.1.10-r1.ebuild2
-rw-r--r--dev-python/py-gfm/py-gfm-0.1.4.ebuild2
-rw-r--r--dev-python/pygame_sdl2/pygame_sdl2-6.99.12.4-r5.ebuild2
-rw-r--r--dev-python/python-caja/python-caja-1.24.0.ebuild2
-rw-r--r--dev-python/python-podman/Manifest1
-rw-r--r--dev-python/python-podman/python-podman-1.6.0.ebuild30
-rw-r--r--dev-python/quantities/Manifest1
-rw-r--r--dev-python/quantities/files/quantities-0.12.5-numpy-1.21.patch29
-rw-r--r--dev-python/quantities/metadata.xml4
-rw-r--r--dev-python/quantities/quantities-0.12.5.ebuild36
-rw-r--r--dev-python/requests-cache/Manifest1
-rw-r--r--dev-python/requests-cache/requests-cache-0.7.4.ebuild54
-rw-r--r--dev-python/rosdistro/rosdistro-0.8.3.ebuild2
-rw-r--r--dev-python/rosdistro/rosdistro-9999.ebuild2
-rw-r--r--dev-python/rospkg/rospkg-1.3.0.ebuild2
-rw-r--r--dev-python/rospkg/rospkg-9999.ebuild2
-rw-r--r--dev-python/sphinx_ansible_theme/Manifest2
-rw-r--r--dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.8.0.ebuild (renamed from dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.6.0.ebuild)14
-rw-r--r--dev-python/urdf_parser_py/urdf_parser_py-0.4.5.ebuild2
-rw-r--r--dev-python/vcstools/vcstools-0.1.42.ebuild2
-rw-r--r--dev-python/wand/Manifest1
-rw-r--r--dev-python/wand/wand-0.6.7.ebuild32
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.36.0.ebuild39
54 files changed, 792 insertions, 70 deletions
diff --git a/dev-python/ament_package/ament_package-0.12.0.ebuild b/dev-python/ament_package/ament_package-0.12.0.ebuild
index 91d9796c64dc..6027deba39c6 100644
--- a/dev-python/ament_package/ament_package-0.12.0.ebuild
+++ b/dev-python/ament_package/ament_package-0.12.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
inherit distutils-r1
diff --git a/dev-python/ansible-pygments/Manifest b/dev-python/ansible-pygments/Manifest
new file mode 100644
index 000000000000..70e2d302fa8b
--- /dev/null
+++ b/dev-python/ansible-pygments/Manifest
@@ -0,0 +1 @@
+DIST ansible-pygments-0.1.0.tar.gz 8046 BLAKE2B a6b9873dc8494af77a8c71de45f23dbd14419f3abb98d577631d51be9fe48cc88f5bec2f77707fd376369e325538800a47ae014a13f85022f805466a2e590316 SHA512 370a28e984f1c19c78b3047c5506847d625ad46458067804fcc7cc850d01cb77f837fbc80071fc9ff0e9df31805e48477a3026ce28389de8de368d35bd9d9428
diff --git a/dev-python/ansible-pygments/ansible-pygments-0.1.0.ebuild b/dev-python/ansible-pygments/ansible-pygments-0.1.0.ebuild
new file mode 100644
index 000000000000..1e46d74b63f0
--- /dev/null
+++ b/dev-python/ansible-pygments/ansible-pygments-0.1.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS="pyproject.toml"
+
+inherit distutils-r1
+
+DESCRIPTION="Pygments lexer and style Ansible snippets"
+HOMEPAGE="https://github.com/ansible-community/ansible-pygments"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/pygments[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ansible-pygments/metadata.xml b/dev-python/ansible-pygments/metadata.xml
new file mode 100644
index 000000000000..a094124dae4b
--- /dev/null
+++ b/dev-python/ansible-pygments/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">ansible-pygments</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index 9556c2f33835..05ffb3d99b96 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,3 +1,4 @@
DIST astroid-2.6.2.tar.gz 360787 BLAKE2B a2744b9ada601b731989f17ec75aa94d88825693a4ccf349374b8795b0db3879aa5bffe838df68759ff3296cd8af9cd45524e7d894a363f54055f3f1fa01e92e SHA512 776f8f9a12d425b7f048318b632dedb8894b6a3051a0607d1079437084aab4e9593e39cf9c7e01c2dd722364d2396cf13d7d26cc2acf33482d75584c458d4b89
DIST astroid-2.6.5.tar.gz 364383 BLAKE2B 22da12e30bbb27ad93516ef18ebe64839fc1f7057a46fe82444c189bada942b32e00c314fe47eaecaf7cb2e7e047206152e1df98b4f46a40010bef9392721b9c SHA512 28c6fe2953f10f99c31af611644137d566489188459c9249e5621c4dc1c5fecb59c1ba3cc0bbab95c2609203388d1df299f0cb87a1fc3b3bb8b4ad3ad6b010a4
DIST astroid-2.6.6.tar.gz 368118 BLAKE2B c5117566579ee6c8ccf973e180b3de3cd3896110221627cfa16d17fbeb049954d4452d3f55ab4161751a9eb7892fbd49090eb8e82c5a90f5985ec13a9f5d1fdd SHA512 a077c291b90f52d353d27b8e6aee2ffca1d69bf0e1e7185c32f3959853d9f2957f411975e5bf66f27d73b66cce6bd1e55529de6b7d0a17dea5399edf3a404825
+DIST astroid-2.7.1.tar.gz 373086 BLAKE2B 85ad87041ccafcc3d008455163d71c8d7b98083a7e86d45722c8d5b9a782721a7e6b5e19b0532a14801ce6ec68da72b448867c80db3bdab07e061748502bee38 SHA512 b37f445c499a2015b201b1676530c06f76b6b3e8829740208c32267aba47d77f0e94484202824f0bfc2d35021ba147d8748de89ced8f09010d08b4ca20a63120
diff --git a/dev-python/astroid/astroid-2.7.1.ebuild b/dev-python/astroid/astroid-2.7.1.ebuild
new file mode 100644
index 000000000000..8ff40315092e
--- /dev/null
+++ b/dev-python/astroid/astroid-2.7.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# Version specified in __pkginfo__.py.
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.11.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local deselect=(
+ # no clue why it's broken
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index dce5268e9c62..03fcefc5a424 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,4 +1,5 @@
DIST boto3-1.17.112.tar.gz 391748 BLAKE2B 071eddfe134face48b86985ccd0171e0d8994fc65cd75e26945dfcab29566f42aa965c82b736cc7dd821a920e6903e4c45917af1759214606c2448b46c528cff SHA512 dcee3f4e2dfaf8feeeecc82ca938a72d654ced7a44f32e3dab43a225d8dcf0b3d20f0699770cfcd8ede840f792d37e124597d096322b88ce54c2e27e109da6e7
DIST boto3-1.18.15.tar.gz 400374 BLAKE2B 2170319480578b9ac7b6c0da9e9a2f256ce907b8e53bc626bf26fd65f3336ec1974d6dd1917f601fe139e859f144fafd198b2578ffb9097508f09dd40cf82313 SHA512 f330d8249c9f5749770ba5809f3a4fb524f23fc0545b24182023a3b74f815608bdb9986b434d972a017aa7786b1319705e8702b041174275f84a0266bdb7b857
DIST boto3-1.18.21.tar.gz 402611 BLAKE2B 39974c66ed5ad0697be6df04dbb141ce28e9a09863349f7adfcf756666d58ed02232453a9d86d46e62380c0b7f197a52b6869469309dff0c532e50a6bfc88403 SHA512 9920891b7be9d98c3a3d2f3065183532624e78fd2ff7a94d26594d2499cd5d17db0ac4ba6adf27f0e0f67fa836020dfac648babc144e4339a3dd717a1bd56ef7
+DIST boto3-1.18.22.tar.gz 403212 BLAKE2B 82ee003adf55339ef956182287220d4c2bbafe371676ff94ca73f8cc95c484de86f1a9ae32a64d532e3731efeed486b9486d9591c3ee3a76d3a74d2fae22ec88 SHA512 f5abd2169adbc0d9edc28f6d8e5165c7c0587c387b3a71a40483b3bb4d90752d745dc0bbc58bda5470bd6fd68675f0eff3c1fa5e889fb231956c47a81a353b79
DIST boto3-1.18.7.tar.gz 395640 BLAKE2B 6a9fa1dd55644806fe93271805f35fbe0c4cb65d1de08dded2d2f57fcefa96e32c4ebe7b60743c52c0898222bc06d33dbd03d304bbef327b88022450a7943e2c SHA512 20e7fedab7d061ab02f391e9baf36cb554e7f194f38d24d5a75f76715b2acf1b51b6adce5d8cf5a2a0d29df73566db00b8813a219d45a194d9a8eb93d0dab570
diff --git a/dev-python/boto3/boto3-1.18.22.ebuild b/dev-python/boto3/boto3-1.18.22.ebuild
new file mode 100644
index 000000000000..bee358e1c595
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.22.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ ||
+ die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 63c630422e73..4db46890111f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,4 +1,5 @@
DIST botocore-1.20.112.tar.gz 7917776 BLAKE2B 6a5ebf3d32c505ec2c1fc4cd3d97aa94c76b6206dda6ba28a946dfdc9973073019389c05d1cf09a0eced701fe86a9b8a292835415c0b1ceea75959a3186f65c6 SHA512 4b36367ffdd011aeb7654fd5c52c38e95bae4c55e5af85e38b0764140539ad1f8b9d75b0c7fd1009fda8d005ef4b17673b06f85a76b52fcebf05925297b6bbbf
DIST botocore-1.21.15.tar.gz 8012673 BLAKE2B cdd2b4128e67c85879e85f61265b10c1e5765eebf65333059af56a6a5b1d650a7612c4b569afde2396704015294e74b717c35d49c3e08396b2c603b7d47c632b SHA512 a5916ffa64568b2040d6f76571d9d716d50339fdaaed61f4ff7be92a5dac2c3f967280330fcbd3d6c2e1c1faf7bd6012ce75dd66ff26fde9d830d334a9d7c45a
DIST botocore-1.21.21.tar.gz 8042971 BLAKE2B 888abb929e1d66c293bff9d3d25682590e0fce3173ca6e121b969d1ef92dd4bb3fd010f72ab4bed664ed6e2df94fd61a9211a3aad72742eb1d4ee2b192cb4f7d SHA512 f8f47c2a2ed07f90263fd5eefe593bf14e8bb2a8df599660f2c84c504a16eb1c370ff8edea0b809be34f1fe9c7e8a3d604b74689b9e16c0686e6ff7c640534a4
+DIST botocore-1.21.22.tar.gz 8044541 BLAKE2B 09c32d015d7bd5c6deeffc164f272eb72f30ff0555d68ee7edd45d52871fcf130bd487a54e79e463432182e538bd36173dcae7f533455cdae9da3139c237d766 SHA512 00e99f314e36916b6d89e30cbf0e4397739f44db2329608841b4c77c60d61ef7e6ffd419b122f58ecca02b807b91e6da87602b02e362bb60e46b02af96e76fc7
DIST botocore-1.21.7.tar.gz 7977343 BLAKE2B 19c5bf5de40ab131585e30bb85486fcffc3428808811b312b33578174ce31a691f4f4d955462120f05d2aad2cd5e5772789704eee641760fb67099aa3cddc9b5 SHA512 db1bb36faa6857a1cc717e5d591954415bb948178ee2be90ab9c32c11b1fb45c5b5aff87dfacd907c2f11bc7cdd2cd4de2ee9c847fa8cda4e5f0814a828b1019
diff --git a/dev-python/botocore/botocore-1.21.22.ebuild b/dev-python/botocore/botocore-1.21.22.ebuild
new file mode 100644
index 000000000000..5684261bd4b3
--- /dev/null
+++ b/dev-python/botocore/botocore-1.21.22.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/cx_Freeze/cx_Freeze-6.6.ebuild b/dev-python/cx_Freeze/cx_Freeze-6.6.ebuild
index 58cdaa882b8b..bc5007f34197 100644
--- a/dev-python/cx_Freeze/cx_Freeze-6.6.ebuild
+++ b/dev-python/cx_Freeze/cx_Freeze-6.6.ebuild
@@ -4,7 +4,7 @@
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
inherit distutils-r1
DESCRIPTION="Create standalone executables from Python scripts"
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index c8d0097e9492..059a042d82f6 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,2 +1,3 @@
DIST google-api-core-1.30.0.tar.gz 134595 BLAKE2B 104f52bafb68fd91904c02cbd6d3dd2e32c160a528f58e9af3612fc4f7a9934c522f79895b50982b46ee77947af7eb52557bf304b6f2624b97b5082905511829 SHA512 cc14f9c67bac99290665e2b85a97eacf43cdd2a0e4668ecbc7dd8e7131a7e4e908aca2be6d65797d0838081a02768354703762a1a80fa0b666efb81448b27899
DIST google-api-core-1.31.1.tar.gz 134947 BLAKE2B 112e705f8a2d945a207c10096a3cd8c1c65bf806339e8d688cc5638d234c1de03d168099414dd7314b8d3129d6d0e198208cddf15369b84ad837b9da90e8499c SHA512 29c84b98ae39416dbcb8ba7412237007bddea6e9a3af07c1f7753bfe57576125325a6412b73ab7d58c57257405b4b6aa36e043d0cf2496517828c7594f6698ef
+DIST google-api-core-1.31.2.tar.gz 135491 BLAKE2B d2567f628ac888b8f708b5e62c7a34cdad592e98689b3208041e48f08345da5df7da295d261af73c8e89041c91297a90af243b24c250095493af07c6d892459f SHA512 e819bbaadf1aedf78cb397c9a5a9677fbc625285a4f3d14620e5af0ec125f97eaabe18e34a669daee3bd51520de0818a4e2f451f83502ad78adf77e4c739fa67
diff --git a/dev-python/google-api-core/google-api-core-1.31.2.ebuild b/dev-python/google-api-core/google-api-core-1.31.2.ebuild
new file mode 100644
index 000000000000..5c18d41ca13b
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.31.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+ https://googleapis.dev/python/google-api-core/latest"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+EPYTEST_DESELECT=(
+ # TODO: package proto-plus
+ tests/unit/test_protobuf_helpers.py::test_field_mask_ignore_trailing_underscore
+ tests/unit/test_protobuf_helpers.py::test_field_mask_ignore_trailing_underscore_with_nesting
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 73812adac196..2eb98eb83941 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,2 +1,3 @@
DIST google-auth-1.32.1.tar.gz 171621 BLAKE2B e82f4666a38d3dbaa4aa4a4d5192afb711471432c0dcca44b1a1c52fa2171f1de0d7ffd8a7a6d5dc6dbc3a1dec16becabb26306a9ba3b3fd0998584dd1194cc6 SHA512 968c16c7fc5c8c589a94e24139c319ec7f2791b021d6240156d398d4795e6afee8e46591c4aa44457de6f98ca14e8edcb055fb3a02914b43ba5fab74a03d9fc6
DIST google-auth-1.34.0.tar.gz 180860 BLAKE2B d536d689ff5b0c033f787228d643504d1888f0b73a9c6855fe4fae3af20772ef0640feca39c58c39f45681561dce6d5f3ec1d1f7d9699442fff0ec63fd019361 SHA512 7c3b64e8f85056fb660bbfd4f737053813a1e5b8aba52290882a0ddb9d9fd8c5365b767c78dd1e7859ef95caa6e653786d5a8747c8792bbee9c6fad1a5218910
+DIST google-auth-1.35.0.tar.gz 181504 BLAKE2B 3994650c1931f98bebe3299a61660462370c81db4f281bf67db5fc41ec8964a50b7cde1a72b9c8d34a9220a9f6018608b83705cb6e853cd1797740b569023555 SHA512 7dcaa202b36e18679ea85ffbb1fdb204f1a5b28eabf158dbde96e1a783b034bf424b801ba63609678bb275a2bbf92aedf019e6dec06fc90f5968e3d5d41191f0
diff --git a/dev-python/google-auth/google-auth-1.35.0.ebuild b/dev-python/google-auth/google-auth-1.35.0.ebuild
new file mode 100644
index 000000000000..b426bb5a42d2
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.35.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-pasta/google-pasta-0.2.0.ebuild b/dev-python/google-pasta/google-pasta-0.2.0.ebuild
index 56732b0c8229..821881b20bd3 100644
--- a/dev-python/google-pasta/google-pasta-0.2.0.ebuild
+++ b/dev-python/google-pasta/google-pasta-0.2.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8} )
inherit distutils-r1
DESCRIPTION="AST-based Python refactoring library"
diff --git a/dev-python/gst-python/gst-python-1.16.3.ebuild b/dev-python/gst-python/gst-python-1.16.3.ebuild
index 594ddd6a8ff4..1a50e1c044d2 100644
--- a/dev-python/gst-python/gst-python-1.16.3.ebuild
+++ b/dev-python/gst-python/gst-python-1.16.3.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
inherit meson python-r1 xdg-utils
diff --git a/dev-python/gst-python/gst-python-1.18.4.ebuild b/dev-python/gst-python/gst-python-1.18.4.ebuild
index e694a0d0445e..14626ea03c5e 100644
--- a/dev-python/gst-python/gst-python-1.18.4.ebuild
+++ b/dev-python/gst-python/gst-python-1.18.4.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_8,3_9} )
inherit meson python-r1 xdg-utils
diff --git a/dev-python/hcloud-python/Manifest b/dev-python/hcloud-python/Manifest
index fad398650607..d7a8d1e48742 100644
--- a/dev-python/hcloud-python/Manifest
+++ b/dev-python/hcloud-python/Manifest
@@ -1,3 +1,4 @@
DIST hcloud-python-1.12.0.tar.gz 88905 BLAKE2B 1e24cfa208f02a1068b0016ac8948358a3709eb4a2c1f73d75d8e3ee85bee7265b0da6f5cfc58afefee664a024becc57dfa3389f36c4e7ae0c0ae623944e51a3 SHA512 fc431041d2bbae749d5335dda0c8ccf6abcb3fdd8e3a467b50a2ff45e70f9b7a8378bc2b72c00be7c65cc8cf84e01fde7965c6bb731b7252d7da377648bc01eb
DIST hcloud-python-1.13.0.tar.gz 89714 BLAKE2B 0d39d25c867e2433cec235b1ce101b3df8c5946cb4ccc7ffe658cb8a721eea5502f8fb2816491ac687a411a696c60ba4b1c602668385480d7a3645eb2a652c62 SHA512 4283b7b9be6add5ee6321645efc95b4bb77110417bff34327a533c416ee916c19511c35ef614fddbff184ee515fcf31bce740cdb6ad5c18ea7dd8e66c9760fc5
DIST hcloud-python-1.14.1.tar.gz 89865 BLAKE2B 962c24488681ed31d91d2f94b589de2c6192f3397831b482e3f0939224705344671467708266f1ce9ddf2ba767a0eaccaf4ac7516e1a9e27b5a5331fb009ab5c SHA512 bc4fdae97daf41ec8b84bf4069c07d75674b5bab8e74861a28e124343135e6c90fbdef232c6950d612778ffb9ba194bc9bd1a432df2336664e9fef87e28f9210
+DIST hcloud-python-1.15.0.tar.gz 93265 BLAKE2B 851e2eebccd13a2c64902094f0012f018872ba78648abc98b049cc60c66283081db0e39e13b94f98eaa521c1b07df0b5f8f6f7beaaa463cb0d823319b2d94c7f SHA512 26feafdaf6f08bdc451394165442035dc61473e69c466cad8e1308dbebf220c7d6a6b719b539ccbab1a2db00526f875e037762d3656a38a1eb114a953b3e2f10
diff --git a/dev-python/hcloud-python/hcloud-python-1.15.0.ebuild b/dev-python/hcloud-python/hcloud-python-1.15.0.ebuild
new file mode 100644
index 000000000000..ca524e78ab95
--- /dev/null
+++ b/dev-python/hcloud-python/hcloud-python-1.15.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Official Hetzner Cloud python library"
+HOMEPAGE="https://github.com/hetznercloud/hcloud-python"
+SRC_URI="https://github.com/hetznercloud/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+RDEPEND="
+ >=dev-python/future-0.17.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ # Integration tests need docker:
+ # https://github.com/hetznercloud/hcloud-python/blob/master/.travis.yml#L16
+ epytest --ignore tests/integration
+}
diff --git a/dev-python/httpretty/Manifest b/dev-python/httpretty/Manifest
index 690c3747b93e..b985df8da2d4 100644
--- a/dev-python/httpretty/Manifest
+++ b/dev-python/httpretty/Manifest
@@ -1 +1,2 @@
DIST httpretty-1.1.3.tar.gz 441309 BLAKE2B 9c8138bd83fd93602d4ab72e9ee2ff27605a851ee4e7e61f5fbe0d1423041479311315cf0168acb2474c2b579401c6817f4713f61707e21faad076968b2aa1f5 SHA512 3bac68ecb78efc7592f9ab314ca9ef570c8193fb7c2ab3d3fa003b0ff623ac57d6a74f8f0e7b6c2ed45f30e520d157345db56837212d9acd4ec6259570a43dfe
+DIST httpretty-1.1.4.tar.gz 442389 BLAKE2B 020a9fd2b5dc9790b53009caac37a3cf5a0e47102b9be05f4df255880f5daf5e7689714e0c0a8f223155d191c471cb5ff4f9b0d0d34b07bd5f377311ed56ba25 SHA512 4daceea4f30ce181e871167d304bd7af9d504364f55d42f8025770f2efe7e833d018aed681c8733d653d4de90db3433e999c56bccd4675f81e66d1cc4023e418
diff --git a/dev-python/httpretty/httpretty-1.1.4.ebuild b/dev-python/httpretty/httpretty-1.1.4.ebuild
new file mode 100644
index 000000000000..7de17c8447ba
--- /dev/null
+++ b/dev-python/httpretty/httpretty-1.1.4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="HTTP client mock for Python"
+HOMEPAGE="https://github.com/gabrielfalcao/httpretty"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]"
+# redis skipped as it requires a redis server running
+DEPEND="
+ test? (
+ >=dev-python/boto3-1.17.72[${PYTHON_USEDEP}]
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.18.1[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ >=dev-python/requests-1.1[${PYTHON_USEDEP}]
+ dev-python/sure[${PYTHON_USEDEP}]
+ >=www-servers/tornado-2.2[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # remove useless deps
+ sed -i -e '/rednose/d' setup.cfg || die
+ # tests requiring network access
+ rm tests/functional/test_passthrough.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 81af46422005..24233ea7fc92 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,2 +1,3 @@
DIST hypothesis-python-6.14.5.tar.gz 9135819 BLAKE2B 2e42949f81024038b901231a8446203388c8052ebaacf4a87d21356265fd1c09c9aa8b191dcd65780d45cc52ed9d48bb16440fc553addb4671e0ad901213ef64 SHA512 d047eea19129d5855bee5f012f5c91fe1f0de40228600fadad9c76709f951c003450f613f59848064b58f9d0e559b54b44744ae0aae689687488b6506cc8fe1a
DIST hypothesis-python-6.14.7.tar.gz 9136527 BLAKE2B 46176df0ffac48d3bff68a83b03b316506236e8a89365c419d61d0e8dae98a54961da3715377475ba7ce89d9d989e63b75eed1473758896c13bc8c0937617b12 SHA512 bb04434893c7cf937c1f1fc733fc424b48e87ec00d3f650ad85b1749b37f18b3a4718c346739d9121b4461d46516ee1af934a34922cc6ec626defa5ffb1e531b
+DIST hypothesis-python-6.14.8.tar.gz 9137594 BLAKE2B 421c3fdb13e172bdb93cd15f625dd1fbae576ab37b48181eb82e6f1ebed92284a3c2ea4d0314f9dfd735f3ccd968465b28b94525614a7cb0834985f8cdae79df SHA512 3f99bf54e01a7d6945d898b8065b3241a1d9fc871adc9e3bec9cfe187e36651aee78eb57fa69e28405a668a0f784a5dc90acf213211d0c060a1e9a82de8e243e
diff --git a/dev-python/hypothesis/hypothesis-6.14.8.ebuild b/dev-python/hypothesis/hypothesis-6.14.8.ebuild
new file mode 100644
index 000000000000..01270134d6dc
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.14.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/pytest-describe
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index fbfd60326589..2aa90253871d 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1,4 +1,3 @@
DIST identify-2.2.10.tar.gz 101073 BLAKE2B 7049424855d23727180a4af137ebd7cbf88d6ca0187901bbe43abfcb820c1db17af8ff89345612909fc869f9ee8503d84e3d1218548535abb6f499eade284def SHA512 a6f9dfc3d969a30f50922cb9ad285d76c39774706b8c0d868bcbf96564a49841e54b6021e4fced56f17cebd25fadc69dd93714d475e4f517a05677bdabada4dc
DIST identify-2.2.11.tar.gz 101117 BLAKE2B e316bd18a91b3d073b2bb24743ffcf5e6551ce5a9ddf62b1a30aaf937311b2d07de08d9abe01040de48c607d51e4cab121d778385f8336bc911409bedcd5fce3 SHA512 083dd600bc65f61c1aa41f87943b59a4f2edcbbc7a7d07d7a1375d181761edc4b853df87d4a2b2c0f3122f4f27ed10eb784d2dd75078418b50a471b1d5a0ad0f
-DIST identify-2.2.12.tar.gz 101128 BLAKE2B 71f70e211bb64c44fd56cf276c1e474e002931a711e986f933a80b085a4b1c2465d84780d636efc977c6c91283d33b94d7c25fbf16b83d2fbb1cb227c76ebca9 SHA512 cada883c7d5696c0f5c55e901e88e1d63b28d5045f54f2d197151c37d8a96854e020d4112d857fad0402e61fad3c05a5e9ca624a72be0baecdd0fb247b6bef4b
DIST identify-2.2.13.tar.gz 101136 BLAKE2B b1835ca6b576a15be16de124554cfaf7b6dc55a1dfee70021613d35251135c295c3acf141eb645823add4c260bec9fdcde4799f0b72fbd57bc7a2e8659e416bd SHA512 37764325268c164028b7719f91571c006c9c6db3f4bba5a93d20f3d9ea30712cfe7e5710b175266a3d74f3f85485f16ebf7d21486d4329050b55e5835e8b4197
diff --git a/dev-python/identify/identify-2.2.12.ebuild b/dev-python/identify/identify-2.2.12.ebuild
deleted file mode 100644
index bae7649cf429..000000000000
--- a/dev-python/identify/identify-2.2.12.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="File identification library for Python"
-HOMEPAGE="https://github.com/pre-commit/identify"
-SRC_URI="https://github.com/pre-commit/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
-
-RDEPEND="dev-python/editdistance-s[${PYTHON_USEDEP}]"
-
-distutils_enable_tests pytest
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 8aef62d6f041..f50448c1a10e 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -2,3 +2,4 @@ DIST moto-2.0.10.tar.gz 1629239 BLAKE2B 3b1e2272f0a78b90dcf4263fa9e1e7cee1762121
DIST moto-2.0.5.tar.gz 1551415 BLAKE2B 452cb94443188e1715145bee574f04924d894a3d647673443a8a335bb907f8601098540b032d6c9a8ced3e1fc490c49ad70c877547d905cece05bbb742d05976 SHA512 70e64ab98873d480e776a2139a4d351665c6c2f98faf90e2871c6b9998571d1bd239757bc90bbc6ab6e1ed510598bfce77157ad522953efe40c884068885c57d
DIST moto-2.2.0.tar.gz 1650655 BLAKE2B 9969de2fb323b2deb272eb47727884054a35827a5db382f83a4177cf6cac5339f89164d05c288a977bc1895a204d13d02069e8b37880ea3d04374f6ed4d6be47 SHA512 7eabb515f94920af9b8f028afaaa51e27983f7bfd73f66c29fc191e2f3dd3e8939ddac67de0127c67c35cbc17c3500a7390103b26c85056780c865aadeb5e1d9
DIST moto-2.2.2.tar.gz 1684678 BLAKE2B ebe1eb08c67ccdb8c484fa8fc75d7ce58750d94620f46b53268d6b6b0732d90160bf7b6837efa492f621e1c001d933f5d59d39c266d65bbb1852f315b3bc03d0 SHA512 a8b192637b701eda0e4a7b11e84f5251386de98590f1d7c33732d8bf12642b39b61f1d360ad39c3e1b0a645268139d9e330d48fbe7029b943094ad317cb45ff6
+DIST moto-2.2.3.tar.gz 1700636 BLAKE2B 926fe245ce457dd79eef6780fc0b984d2ff1cbe95807a3463f0d0080583af2ba356ccfcce22e60927737e1531ec7bc167c5f649e784b191ec821aa56df65277d SHA512 0b46229ae06db7cb2634df3f1b3b1a6b6fc983978a763e8879db0d9e209ccc6b96b28e8e2ee40f6e1a8e39b74d7a2430788126220e3a7dab5e8df217c3c8c005
diff --git a/dev-python/moto/moto-2.2.3.ebuild b/dev-python/moto/moto-2.2.3.ebuild
new file mode 100644
index 000000000000..fb596d412f1b
--- /dev/null
+++ b/dev-python/moto/moto-2.2.3.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-tempfile[${PYTHON_USEDEP}]' python3_{6,7})
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/cfn-python-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ dev-python/dicttoxml[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.9.201[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.12.201[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # unpin indirect dep on ecdsa that's supposed to workaround pip bugs
+ sed -i -e '/ecdsa/s:<0.15::' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local ignore=(
+ # incompatible versions?
+ tests/test_core/test_decorator_calls.py
+ tests/test_s3/test_s3_classdecorator.py
+ )
+
+ # pytest-django causes freezegun try to mangle stuff inside django
+ # which fails when django is not really used
+ epytest -p no:django -m 'not network' ${ignore[@]/#/--ignore }
+}
diff --git a/dev-python/nbclient/Manifest b/dev-python/nbclient/Manifest
index 39c05de7fa8a..a47e36e4c1df 100644
--- a/dev-python/nbclient/Manifest
+++ b/dev-python/nbclient/Manifest
@@ -1 +1,2 @@
DIST nbclient-0.5.3.gh.tar.gz 69340 BLAKE2B ef2908037b350879b4494a9676550754b51c218c0b344c8f26882fac63d3de65b37329fc8aa586f71f0fcb24d0508c2aec81d1066021abd4c66ee1b220574ef8 SHA512 16a92bdab931c2cec133389bfd491c9f3f4ca7ff3b11a3eb70fcdb568a0aecb8cca65d5a1fb25ff9a6ed6d581bed04de8e51ac2d856fad386b22aa6a2424c991
+DIST nbclient-0.5.4.gh.tar.gz 69711 BLAKE2B d229cf7a20df622f87984460735a6817d8bc50243b2980b2a14ce84b4f9b97336cc9fd0d4259cfa6700279eb555debf1a0bb57d9d28d78447e6a227097b77feb SHA512 1dcee18a13f143f4a688ed1d9baaca91b1753bfabac9ea97eadfa4a96fc8cd6462f471645da586a3c5c4b03550cbf5948c7320a26a299807ae09cc823cd7ff86
diff --git a/dev-python/nbclient/nbclient-0.5.4.ebuild b/dev-python/nbclient/nbclient-0.5.4.ebuild
new file mode 100644
index 000000000000..790b03b6c932
--- /dev/null
+++ b/dev-python/nbclient/nbclient-0.5.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A client library for executing Jupyter notebooks"
+HOMEPAGE="
+ https://nbclient.readthedocs.io/en/latest/
+ https://github.com/jupyter/nbclient/
+ https://pypi.org/project/nbclient/"
+SRC_URI="
+ https://github.com/jupyter/nbclient/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter_client-6.1.5[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.0[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/osrf_pycommon/osrf_pycommon-0.1.10-r1.ebuild b/dev-python/osrf_pycommon/osrf_pycommon-0.1.10-r1.ebuild
index ca389a300688..9f8238dc18f6 100644
--- a/dev-python/osrf_pycommon/osrf_pycommon-0.1.10-r1.ebuild
+++ b/dev-python/osrf_pycommon/osrf_pycommon-0.1.10-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
diff --git a/dev-python/py-gfm/py-gfm-0.1.4.ebuild b/dev-python/py-gfm/py-gfm-0.1.4.ebuild
index 04aa4a20ada0..60d400dcb27b 100644
--- a/dev-python/py-gfm/py-gfm-0.1.4.ebuild
+++ b/dev-python/py-gfm/py-gfm-0.1.4.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8} )
inherit distutils-r1
diff --git a/dev-python/pygame_sdl2/pygame_sdl2-6.99.12.4-r5.ebuild b/dev-python/pygame_sdl2/pygame_sdl2-6.99.12.4-r5.ebuild
index 26c0341be543..8040d7a0a1f0 100644
--- a/dev-python/pygame_sdl2/pygame_sdl2-6.99.12.4-r5.ebuild
+++ b/dev-python/pygame_sdl2/pygame_sdl2-6.99.12.4-r5.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8} )
inherit distutils-r1
PYSDL="${PN}-2.1.0"
diff --git a/dev-python/python-caja/python-caja-1.24.0.ebuild b/dev-python/python-caja/python-caja-1.24.0.ebuild
index 9cbd273be362..f12f38bee577 100644
--- a/dev-python/python-caja/python-caja-1.24.0.ebuild
+++ b/dev-python/python-caja/python-caja-1.24.0.ebuild
@@ -4,7 +4,7 @@
EAPI=6
MATE_LA_PUNT="yes"
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8} )
inherit mate python-single-r1
diff --git a/dev-python/python-podman/Manifest b/dev-python/python-podman/Manifest
index c304840a114d..ab2ad9fb16d0 100644
--- a/dev-python/python-podman/Manifest
+++ b/dev-python/python-podman/Manifest
@@ -1,2 +1 @@
DIST podman-py-3.2.0.tar.gz 165514 BLAKE2B 7e25d160b98e45cc147069249d850b3a3d6dac5227942d90ed99b8313befd9db04a6423015ae56959a53eeeb49958d9067eb6fb7127ee55bf50ebfcea617a220 SHA512 8ef165847de5fecd81e7b5564baeaa0298efd4d2e6f12e1dfe958eed77f945d9375d90ba93a8ebab4b090b228d451e96ce49d08288dc3daae1255a05127b25c7
-DIST python-podman-1.6.0.tar.gz 28733 BLAKE2B ef36b80d99be07def311c2a8574cc36131760b39f0c80fb8707fb99ec9c2234e297724fc662f936217f9c2ec24fed0f57fd680702fbbac0e8411fc7c90da0577 SHA512 e7d730f8cfef0944df82ee73edb858e3cfd76a91dace98a2638341a1eb3ba5b9076d52f2f634cb4a94e082a83553412cdb1c5b79041d5bf4615998d67bb4a03f
diff --git a/dev-python/python-podman/python-podman-1.6.0.ebuild b/dev-python/python-podman/python-podman-1.6.0.ebuild
deleted file mode 100644
index e155684efaba..000000000000
--- a/dev-python/python-podman/python-podman-1.6.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="A library to interact with a Podman server"
-HOMEPAGE="https://github.com/containers/python-podman/ https://pypi.org/project/podman/"
-MY_PN=${PN#python-}
-MY_P=${MY_PN}-${PV}
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- dev-python/python-varlink[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/pbr[${PYTHON_USEDEP}]"
-
-S=${WORKDIR}/${MY_P}
-
-python_test() {
- "${PYTHON}" -m unittest discover tests/ || die "tests failed with ${EPYTHON}"
-}
diff --git a/dev-python/quantities/Manifest b/dev-python/quantities/Manifest
index fa90e3a5b653..bbd182155d6e 100644
--- a/dev-python/quantities/Manifest
+++ b/dev-python/quantities/Manifest
@@ -1 +1,2 @@
DIST python-quantities-0.12.4.tar.gz 104093 BLAKE2B 84587726ef3c2f4c7dce4ea538363aecc42aa88c31d2990f834f2de9540b52d6ca0c437c1876a4c2dd5512b4be3af95cc64a1294ea60555ed1b51819f7f46125 SHA512 b5d181880d0789e6fbd55837c5ce65b677764a718be4550f1f553131e171caa59f8fc84d67e69563a293cda01e7b0678074fb311b3766f0013e658a9fa00471f
+DIST python-quantities-0.12.5.tar.gz 105130 BLAKE2B db1cf09fa2efc249bc722abe34ed71d0f59d85595f70baf44203785c32179a3598be8aac225adadfd7d5f09c44ec077dcef310ee2fe7ce4d49a1533b04cb9de6 SHA512 db81e45d464e65d6b144d05e1b990fccc5c17ab7fdd47c7bb0c0094ebcacd6af52a3692492561af3a694741810ddac03e4c887d7c6effed833f196493da5f156
diff --git a/dev-python/quantities/files/quantities-0.12.5-numpy-1.21.patch b/dev-python/quantities/files/quantities-0.12.5-numpy-1.21.patch
new file mode 100644
index 000000000000..34dd5a075412
--- /dev/null
+++ b/dev-python/quantities/files/quantities-0.12.5-numpy-1.21.patch
@@ -0,0 +1,29 @@
+From f32e0ce2feeb588eb8b7236700c8c1176e2bc499 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 17 Aug 2021 08:24:07 +0200
+Subject: [PATCH] fix expected np.arctan2() exception for numpy 1.21
+
+NumPy 1.21 has changed the exception type for incorrect np.arctan2()
+arguments from ValueError to TypeError. Adjust the test appropriately.
+
+Fixes #190
+---
+ quantities/tests/test_umath.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/quantities/tests/test_umath.py b/quantities/tests/test_umath.py
+index f5aeb78..a7ebb18 100644
+--- a/quantities/tests/test_umath.py
++++ b/quantities/tests/test_umath.py
+@@ -226,7 +226,7 @@ class TestUmath(TestCase):
+ np.arctan2(3*pq.V, 3*pq.V),
+ np.radians(45)*pq.dimensionless
+ )
+- self.assertRaises(ValueError, np.arctan2, (1*pq.m, 1*pq.m))
++ self.assertRaises((TypeError, ValueError), np.arctan2, (1*pq.m, 1*pq.m))
+
+ def test_hypot(self):
+ self.assertQuantityEqual(np.hypot(3 * pq.m, 4 * pq.m), 5 * pq.m)
+--
+2.32.0
+
diff --git a/dev-python/quantities/metadata.xml b/dev-python/quantities/metadata.xml
index cf72fab0ad3f..63ee3de3f08e 100644
--- a/dev-python/quantities/metadata.xml
+++ b/dev-python/quantities/metadata.xml
@@ -9,6 +9,10 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="pypi">quantities</remote-id>
</upstream>
diff --git a/dev-python/quantities/quantities-0.12.5.ebuild b/dev-python/quantities/quantities-0.12.5.ebuild
new file mode 100644
index 000000000000..d4e01f9734e5
--- /dev/null
+++ b/dev-python/quantities/quantities-0.12.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+MY_P="python-quantities-${PV}"
+DESCRIPTION="Support for physical quantities with units, based on numpy"
+HOMEPAGE="https://github.com/python-quantities/python-quantities"
+SRC_URI="
+ https://github.com/python-quantities/python-quantities/archive/v${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/numpy[$PYTHON_USEDEP]
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-numpy-1.21.patch
+)
+
+EPYTEST_DESELECT=(
+ # unexpected success
+ quantities/tests/test_umath.py::TestUmath::test_fix
+)
diff --git a/dev-python/requests-cache/Manifest b/dev-python/requests-cache/Manifest
index 17bad6adde52..99ad63155c1a 100644
--- a/dev-python/requests-cache/Manifest
+++ b/dev-python/requests-cache/Manifest
@@ -2,3 +2,4 @@ DIST requests-cache-0.6.4.gh.tar.gz 50322 BLAKE2B c9a6cae957604bdfa6057621e028fa
DIST requests-cache-0.7.1.gh.tar.gz 959455 BLAKE2B ce41514f21dc0708e437f70b92eb9d84f47433d04a11476cd5afefd050089e2d138213fa0b2f6bac200bd6d59db996187481ef3544d289a5117f3fe7160027b5 SHA512 cd83134ce9500c20c63fa92546cca41772ba3582a669914cd0885ec5aadf6ae4a6c4fc6a83dce73d2d5b24a80db2fde65cdb0a89b4b5703ddeac1d710404a05d
DIST requests-cache-0.7.2.gh.tar.gz 962215 BLAKE2B 0f66548b4c37c14347021a4675d0165b9f9648dc9842f1d94c9507c096f6ef359f7109f88ac369de2de263673542f42d6e4a7402449354aee900970331f87cea SHA512 1712f3568ec4c8c41988c9d2ca07e72b1a66efceb596d814219b5eb9bb0c05448ee33b4634ec39fb03634032a6bfaaf877b297be7f92f540788dba40b4c202df
DIST requests-cache-0.7.3.gh.tar.gz 1182825 BLAKE2B bc2b936f3b13388c23c344119a0ae2dc8efae3ba243e3a176ac27a7affb9b1c691e99ee88dfa61823a5c517ea898f144c7a9450867ea611c8518a0ecb3d77287 SHA512 fca494438001d14b0edce2cf93f51f65a0bf363d31bf1c70d1a4b2f214fe7bfc6f6f6fc97d21357fcfb9ab38c83d76cabe9c0ff4703171679ce509bd9f55753f
+DIST requests-cache-0.7.4.gh.tar.gz 1254975 BLAKE2B f0df6ac156665f8eed8850e153bfa3738d8c6677ff1613a54fcbf3208861c590e5e0ede3d5c30eeda36dcd709390402a020e03a0180e701e0751c5c982903a35 SHA512 684a3182135b6a31816629c8b4a174b52a629e964a5862573df1ac6e9e9b5cb807d1661a3a6daf8cc4b2a0f6778bd780d822a2f6c409242aa090c6565adf0aab
diff --git a/dev-python/requests-cache/requests-cache-0.7.4.ebuild b/dev-python/requests-cache/requests-cache-0.7.4.ebuild
new file mode 100644
index 000000000000..354c4fad4369
--- /dev/null
+++ b/dev-python/requests-cache/requests-cache-0.7.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="
+ https://pypi.org/project/requests-cache/
+ https://github.com/reclosedev/requests-cache/"
+DESCRIPTION="Persistent cache for requests library"
+SRC_URI="
+ https://github.com/reclosedev/requests-cache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cattrs[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/url-normalize-1.4[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local ignore=(
+ # These require extra servers running
+ tests/integration/test_dynamodb.py
+ tests/integration/test_gridfs.py
+ tests/integration/test_mongodb.py
+ tests/integration/test_redis.py
+ )
+ local deselect=(
+ # Requires Internet access
+ tests/integration/test_compat.py::test_version_upgrade
+ )
+
+ local -x USE_PYTEST_HTTPBIN=true
+ epytest ${deselect[@]/#/--deselect } ${ignore[@]/#/--ignore }
+}
diff --git a/dev-python/rosdistro/rosdistro-0.8.3.ebuild b/dev-python/rosdistro/rosdistro-0.8.3.ebuild
index 71aa7ad40053..8bd21ec57713 100644
--- a/dev-python/rosdistro/rosdistro-0.8.3.ebuild
+++ b/dev-python/rosdistro/rosdistro-0.8.3.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
SCM=""
diff --git a/dev-python/rosdistro/rosdistro-9999.ebuild b/dev-python/rosdistro/rosdistro-9999.ebuild
index 71aa7ad40053..8bd21ec57713 100644
--- a/dev-python/rosdistro/rosdistro-9999.ebuild
+++ b/dev-python/rosdistro/rosdistro-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
SCM=""
diff --git a/dev-python/rospkg/rospkg-1.3.0.ebuild b/dev-python/rospkg/rospkg-1.3.0.ebuild
index e656cd999ffd..9a43e2fb6d1e 100644
--- a/dev-python/rospkg/rospkg-1.3.0.ebuild
+++ b/dev-python/rospkg/rospkg-1.3.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
SCM=""
diff --git a/dev-python/rospkg/rospkg-9999.ebuild b/dev-python/rospkg/rospkg-9999.ebuild
index e656cd999ffd..9a43e2fb6d1e 100644
--- a/dev-python/rospkg/rospkg-9999.ebuild
+++ b/dev-python/rospkg/rospkg-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
SCM=""
diff --git a/dev-python/sphinx_ansible_theme/Manifest b/dev-python/sphinx_ansible_theme/Manifest
index 698bdacea9b1..564e8a81eb51 100644
--- a/dev-python/sphinx_ansible_theme/Manifest
+++ b/dev-python/sphinx_ansible_theme/Manifest
@@ -1,2 +1,2 @@
-DIST sphinx_ansible_theme-0.6.0.tar.gz 37606 BLAKE2B 3b27d15133e167602ce9515fb630ed9ecb0b0d346450417900e616476fa80aa216c033741121f82289d9e5bf977e01395663e5f61c4682576e8b773c17af2723 SHA512 d134a9e6eab0cab8e60c251a69e7b3dfa2864e5e19d65ce2e8b565a601e4b5255536f6b69ac17952ebd14929471a487200fc97c9c5e1f3f8232daf8e4ed63cef
+DIST sphinx-ansible-theme-0.8.0.tar.gz 34401 BLAKE2B 493663331e593da8d56683991762452419fd5fdb48e2c59ee3a38b6242216bccf56e047e59294ae73cccfb48a66606e55fac6c9a19d91e6ea778920f9919dbd1 SHA512 399af992428dd3212681efa66036af9ae7dbd9a9dd507452686cc76aa3e365aabee0ba7b599fbbed85f1f252075d5158ade9a816a9aad17b4e5ed696be1c962e
DIST sphinx_ansible_theme-0.7.0.tar.gz 34120 BLAKE2B ce116d0392fd5feaf389bfc3c1934aa72eef4fe55d8307df0035e6d73824e2ebe0da48175a29703c5643c297ce5628f680089624046f10612ca6995a3f2b46b5 SHA512 4cb395eb02c5ea1bfb743af9fb71732b65d155d87064128b134b0561c6eaaa3239ad65be12cd90d704b7f80c32f97c544493f67027ccd03865dfa4a3c88e816e
diff --git a/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.6.0.ebuild b/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.8.0.ebuild
index 452a4a2e4737..3ce1a7276bcd 100644
--- a/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.6.0.ebuild
+++ b/dev-python/sphinx_ansible_theme/sphinx_ansible_theme-0.8.0.ebuild
@@ -1,15 +1,18 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
+MY_PN="${PN//_/-}"
+MY_P="${MY_PN}-${PV}"
+
DESCRIPTION="A reusable Ansible Sphinx theme"
HOMEPAGE="https://github.com/ansible-community/sphinx_ansible_theme"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
@@ -17,4 +20,9 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]
- dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]"
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ doc? ( dev-python/ansible-pygments[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs 'dev-python/sphinx-notfound-page'
+
+S="${WORKDIR}"/${MY_P}
diff --git a/dev-python/urdf_parser_py/urdf_parser_py-0.4.5.ebuild b/dev-python/urdf_parser_py/urdf_parser_py-0.4.5.ebuild
index 7f915f98be86..eb02edd82cea 100644
--- a/dev-python/urdf_parser_py/urdf_parser_py-0.4.5.ebuild
+++ b/dev-python/urdf_parser_py/urdf_parser_py-0.4.5.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8,3_9} )
inherit distutils-r1
DESCRIPTION="URDF parser for Python"
diff --git a/dev-python/vcstools/vcstools-0.1.42.ebuild b/dev-python/vcstools/vcstools-0.1.42.ebuild
index 2bf276548dda..080412941179 100644
--- a/dev-python/vcstools/vcstools-0.1.42.ebuild
+++ b/dev-python/vcstools/vcstools-0.1.42.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python{3_7,3_8} )
SCM=""
if [ "${PV#9999}" != "${PV}" ] ; then
diff --git a/dev-python/wand/Manifest b/dev-python/wand/Manifest
index 4dd63a16e71f..ab53b77ba59d 100644
--- a/dev-python/wand/Manifest
+++ b/dev-python/wand/Manifest
@@ -1,2 +1,3 @@
DIST Wand-0.6.5.tar.gz 11477141 BLAKE2B 7257dbee8642d619d69d773aa5e0f70c27e32eb5ca4168746efb191ce6d2a49b000aee07127aa51e1906e52e7bc7f2375f39482edf6a841933e4eb2711217fed SHA512 7355888da6ea604759d4af8548d4c2e08d529c88d2720400bbfc6a19bdb03049f3faa5abcd5f3a9c69b705754e86ad4f511a76a0a310d5dece5c2774d74e543b
DIST Wand-0.6.6.tar.gz 11477246 BLAKE2B e4e908da487994c50b02fb25c7a19a70865fc021e00a36170562dd546ac0d0b9c6eb6d622fc50e0160feb48d52828617d8cf83b1ef0f2f449fdc32f174880917 SHA512 618a8678031b57382d008062ffa21168aeb7afd7a5b82675020b11c756f1542f9a2d2d656d7d683cbf47e4d8be118bf0aac005b4aa1a6e5ae9dc417edea0bd79
+DIST Wand-0.6.7.tar.gz 11686093 BLAKE2B 58abbdc22eb1603ed42e2e2473c0ed2b9026c9c0a499bb885512b56ecf01fb4ffe450979808bba2b4c4466994f86bea9a9c0ced216f8338c845b96a755f39c9f SHA512 e79ecb909f6ad7b3ddae217bb7b27f3c010d22a40eb99866e2a6eb07346000acbead280176e3352da13c20b68a341c751c55d6203bef7968522c8dbcfcab0b06
diff --git a/dev-python/wand/wand-0.6.7.ebuild b/dev-python/wand/wand-0.6.7.ebuild
new file mode 100644
index 000000000000..1b617b0f30ac
--- /dev/null
+++ b/dev-python/wand/wand-0.6.7.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+MY_P="${PN^}-${PV}"
+DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
+HOMEPAGE="http://wand-py.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="media-gfx/imagemagick"
+BDEPEND="
+ test? (
+ media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_test() {
+ # PDF support is blocked by the default ImageMagick security policy
+ epytest --skip-pdf
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index e0077b6b937e..3496c4474f06 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -6,3 +6,4 @@ DIST python-zeroconf-0.34.2.gh.tar.gz 125452 BLAKE2B 704ab1400a01eae93b1f706c2cc
DIST python-zeroconf-0.34.3.gh.tar.gz 125454 BLAKE2B d80c25fa8bb79b6c5a3d491efc0e891b08e808d9c2619d917a19d9d76ebdf13d32ddb684a3f68abd7ae6dce3597de30027557033a5ccacfe8dcc5bf624b45f25 SHA512 d9f1ab126dd68fdef2e2983a11efe7d3703bbacd7b74b9a82a781361b0282bf20d8c16bcf96beda7112958eab54e0b819f709d840a9e5f0f2da8c9003e9943fe
DIST python-zeroconf-0.35.0.gh.tar.gz 126620 BLAKE2B 1c2a7e78c32305be0c35fcef513e26c1834dee71b7714479c70c44a09378fb96a15f39fb4d9de4a8bde607cc4ef67798b5e6cb09e613f1a86cd9934123ab2ca9 SHA512 440871dd5fa861950187bf0c4593b2212d91477d4adbd41a43fd3adec820543628d684dfc042e38e4b69cd94e8b23d10298e660da32f8c221faf16e03135b925
DIST python-zeroconf-0.35.1.gh.tar.gz 127099 BLAKE2B dc09dadaeaac64d8517de407ddcfffc4152e366430c492d4ab562c56afa3264c33a26373f249bbddd969bb28dbc5c1b7513e59c0ebb728c12a77fb9d428e4f0a SHA512 27386cd425928821080c9c6fd2babdcfc001cc4583ef4c699169e3818f6bb8536f712cf7959e6003a6aaf40e85b5337a8a5abcfdf686455dee577cfa61270fb7
+DIST python-zeroconf-0.36.0.gh.tar.gz 127299 BLAKE2B 66ee56eff026e427c3d0ce4353271a3232e0b3301cc364d9866f9beeedf9e41c9dcd97be82ce9fc0bdd79298d0fb2a89f51cb947f58cba8210be0f768032aaf6 SHA512 2f2bc44f5223a204ccf2106bf9fa3407640408c7199bddd68882b2024b07440e807a22e43b3aaa7eecc1f4fdefdf61f7a9b9a7655dd358355a43f03d67c13166
diff --git a/dev-python/zeroconf/zeroconf-0.36.0.ebuild b/dev-python/zeroconf/zeroconf-0.36.0.ebuild
new file mode 100644
index 000000000000..c406eead3ace
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.36.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=python-zeroconf-${PV}
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/jstasiak/python-zeroconf/
+ https://pypi.org/project/zeroconf/"
+SRC_URI="
+ https://github.com/jstasiak/python-zeroconf/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND=">=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local excludes=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+ tests/test_core.py::Framework::test_launch_and_close_v4_v6
+ tests/test_core.py::Framework::test_launch_and_close_v6_only
+ tests/services/test_types.py::ServiceTypesQuery::test_integration_with_listener_ipv6
+ )
+
+ epytest ${excludes[@]/#/--deselect }
+}